Debian Bug report logs - #564474
mesa: debian/copyright should say a bit more about Kilgard's license

version graph

Package: mesa; Maintainer for mesa is Debian X Strike Force <debian-x@lists.debian.org>;

Reported by: Sam Geeraerts <samgee@elmundolibre.be>

Date: Sat, 9 Jan 2010 18:27:01 UTC

Severity: minor

Found in version 7.0.3

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#564474; Package mesa. (Sat, 09 Jan 2010 18:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 09 Jan 2010 18:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mesa: glut files have non-DFSG-free license
Date: Sat, 09 Jan 2010 19:25:31 +0100
Package: mesa
Version: 7.0.3
Severity: serious
Justification: Policy 2.1


Subject: mesa: glut files have non-DFSG-free license
Package: mesa
Version: 7.0.3
Severity: serious
Justification: Policy 2.1

Some files in mesa have the following license:

/* This program is freely distributable without licensing fees  and is
   provided without guarantee or warrantee expressed or  implied. This
   program is -not- in the public domain. */

Since this doesn't explicitly give users the right to modify, it's not
DFSG-free.

Doing a grep for "not- in the public domain" and "kilgard" gave me this list of files:

./include/GL/uglglutshapes.h
./include/GL/glut.h
./include/GL/glutf90.h
./src/glut/directfb/font.c
./src/glut/directfb/font.h
./src/glut/mini/bitmap.c
./src/glut/beos/glut_ext.c
./src/glut/beos/glut_swidth.c
./src/glut/beos/glut_bwidth.c
./src/glut/beos/glutbitmap.h
./src/glut/beos/glut_vidresize.c
./src/glut/beos/glut_bitmap.c
./src/glut/beos/glut_util.c
./src/glut/beos/glutint.h
./src/glut/beos/glut_stroke.c
./src/glut/beos/glutstroke.h
./src/glut/glx/glut_ext.c
./src/glut/glx/glut_key.c
./src/glut/glx/win32_menu.c
./src/glut/glx/glut_fullscrn.c
./src/glut/glx/glut_keyup.c
./src/glut/glx/glut_get.c
./src/glut/glx/glut_swidth.c
./src/glut/glx/glut_init.c
./src/glut/glx/glut_bwidth.c
./src/glut/glx/glut_dstr.c
./src/glut/glx/glut_cmap.c
./src/glut/glx/capturexfont.c
./src/glut/glx/glut_warp.c
./src/glut/glx/layerutil.c
./src/glut/glx/glut_modifier.c
./src/glut/glx/glutbitmap.h
./src/glut/glx/glut_input.c
./src/glut/glx/glut_keyctrl.c
./src/glut/glx/glut_joy.c
./src/glut/glx/glut_vidresize.c
./src/glut/glx/win32_winproc.c
./src/glut/glx/glut_fcb.c
./src/glut/glx/glut_cursor.c
./src/glut/glx/glut_bitmap.c
./src/glut/glx/glut_util.c
./src/glut/glx/glut_event.c
./src/glut/glx/win32_x11.c
./src/glut/glx/glut_win.c
./src/glut/glx/glut_gamemode.c
./src/glut/glx/glut_mesa.c
./src/glut/glx/glut_winmisc.c
./src/glut/glx/glut_glxext.c
./src/glut/glx/layerutil.h
./src/glut/glx/win32_util.c
./src/glut/glx/glut_space.c
./src/glut/glx/glut_cindex.c
./src/glut/glx/glutint.h
./src/glut/glx/glut_menu.c
./src/glut/glx/glut_stroke.c
./src/glut/glx/glut_swap.c
./src/glut/glx/glut_dials.c
./src/glut/glx/glut_tablet.c
./src/glut/glx/glutstroke.h
./src/glut/glx/glut_overlay.c
./src/glut/glx/glut_menu2.c
./progs/demos/pointblast.c
./progs/demos/spriteblast.c

A similar issue was reported (and resolved) for glutg3-dev, see Debian bug report #131997.

-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: mipsel (mips64)

Kernel: Linux 2.6.32.2-libre-lemote (PREEMPT)
Locale: LANG=nl_BE.UTF-8, LC_CTYPE=nl_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- System Information:
Debian Release: 5.0.1
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: mipsel (mips64)

Kernel: Linux 2.6.32.2-libre-lemote (PREEMPT)
Locale: LANG=nl_BE.UTF-8, LC_CTYPE=nl_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#564474; Package mesa. (Sat, 09 Jan 2010 18:48:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 09 Jan 2010 18:48:17 GMT) Full text and rfc822 format available.

Message #10 received at 564474@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sam Geeraerts <samgee@elmundolibre.be>, 564474@bugs.debian.org
Subject: Re: Bug#564474: mesa: glut files have non-DFSG-free license
Date: Sat, 9 Jan 2010 18:37:04 +0000
On Sat, Jan  9, 2010 at 19:25:31 +0100, Sam Geeraerts wrote:

> A similar issue was reported (and resolved) for glutg3-dev, see Debian bug report #131997.
> 
It's not a similar issue, it's the exact same one.  So why do you open
this exactly?

Anyway, the next mesa upload won't include glut sources.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#564474; Package mesa. (Sat, 09 Jan 2010 19:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 09 Jan 2010 19:09:06 GMT) Full text and rfc822 format available.

Message #15 received at 564474@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: 564474@bugs.debian.org
Subject: Re: Bug#564474: mesa: glut files have non-DFSG-free license
Date: Sat, 09 Jan 2010 20:00:13 +0100
Julien Cristau schreef:
> On Sat, Jan  9, 2010 at 19:25:31 +0100, Sam Geeraerts wrote:
> 
>> A similar issue was reported (and resolved) for glutg3-dev, see Debian bug report #131997.
>>
> It's not a similar issue, it's the exact same one.  So why do you open
> this exactly?

Because the code in Mesa seems to be based on that of glut, but has been 
modified since it was included.

I've previously contacted the FSF Licensing Lab about this:

"Please be careful not to read the notice any further than it goes.  In
particular: it only applies to what Mark wrote, and it only applies to
whatever code of his existed in libglut when he sent his reply to
Debian.  Nothing anybody else wrote, and nothing that wasn't in libglut
at the time."

> Anyway, the next mesa upload won't include glut sources.

Great. Will pointblast.c and spriteblast.c also be gone?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#564474; Package mesa. (Sat, 09 Jan 2010 19:27:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 09 Jan 2010 19:27:11 GMT) Full text and rfc822 format available.

Message #20 received at 564474@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sam Geeraerts <samgee@elmundolibre.be>, 564474@bugs.debian.org
Subject: Re: Bug#564474: mesa: glut files have non-DFSG-free license
Date: Sat, 9 Jan 2010 19:26:28 +0000
On Sat, Jan  9, 2010 at 20:00:13 +0100, Sam Geeraerts wrote:

> Julien Cristau schreef:
> >On Sat, Jan  9, 2010 at 19:25:31 +0100, Sam Geeraerts wrote:
> >
> >>A similar issue was reported (and resolved) for glutg3-dev, see Debian bug report #131997.
> >>
> >It's not a similar issue, it's the exact same one.  So why do you open
> >this exactly?
> 
> Because the code in Mesa seems to be based on that of glut, but has
> been modified since it was included.
> 
I can't see any substantial modification in src/glut/glx since the
initial import.

> I've previously contacted the FSF Licensing Lab about this:
> 
> "Please be careful not to read the notice any further than it goes.  In
> particular: it only applies to what Mark wrote, and it only applies to
> whatever code of his existed in libglut when he sent his reply to
> Debian.  Nothing anybody else wrote, and nothing that wasn't in libglut
> at the time."
> 
> >Anyway, the next mesa upload won't include glut sources.
> 
> Great. Will pointblast.c and spriteblast.c also be gone?
> 
Probably not.

Cheers,
Julien




Severity set to 'minor' from 'serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 09 Jan 2010 19:30:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'mesa: debian/copyright should say a bit more about Kilgard's license' from 'mesa: glut files have non-DFSG-free license' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 09 Jan 2010 19:30:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#564474; Package mesa. (Sat, 09 Jan 2010 20:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 09 Jan 2010 20:03:08 GMT) Full text and rfc822 format available.

Message #29 received at 564474@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: 564474@bugs.debian.org
Subject: Re: Bug#564474: mesa: glut files have non-DFSG-free license
Date: Sat, 09 Jan 2010 20:56:30 +0100
Julien Cristau schreef:
>> Because the code in Mesa seems to be based on that of glut, but has
>> been modified since it was included.
>>
> I can't see any substantial modification in src/glut/glx since the
> initial import.

I mostly looked at include/GL/glut.h, because that file was mentioned in 
the gNewSense bug report [1]. I had compared upstream glut-3.7 with 
Mesa's initial commit of glut.h and found that some function headers 
(mainly wgl*) and a bit of other stuff were added.

>> Great. Will pointblast.c and spriteblast.c also be gone?
>>
> Probably not.

Will those files be removed eventually?

[1] http://bugs.gnewsense.org/Bugs/00365




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#564474; Package mesa. (Sat, 09 Jan 2010 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 09 Jan 2010 20:57:07 GMT) Full text and rfc822 format available.

Message #34 received at 564474@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sam Geeraerts <samgee@elmundolibre.be>, 564474@bugs.debian.org
Subject: Re: Bug#564474: mesa: glut files have non-DFSG-free license
Date: Sat, 9 Jan 2010 20:53:02 +0000
On Sat, Jan  9, 2010 at 20:56:30 +0100, Sam Geeraerts wrote:

> Julien Cristau schreef:
> >>Because the code in Mesa seems to be based on that of glut, but has
> >>been modified since it was included.
> >>
> >I can't see any substantial modification in src/glut/glx since the
> >initial import.
> 
> I mostly looked at include/GL/glut.h, because that file was
> mentioned in the gNewSense bug report [1]. I had compared upstream
> glut-3.7 with Mesa's initial commit of glut.h and found that some
> function headers (mainly wgl*) and a bit of other stuff were added.
> 
I'm not sure what the problem is there anyway.  Kilgard says modifying
his code is ok, it seems fair to me to assume the modifications made in
the mesa tree were licensed similarly to the rest of the mesa tree
(assuming any of the modifications to glut are copyrightable, which
isn't all that likely from what I could tell).

> >>Great. Will pointblast.c and spriteblast.c also be gone?
> >>
> >Probably not.
> 
> Will those files be removed eventually?
> 
Can't see a particular reason to remove them…

I retitled the bug to reflect my understanding of what you're on about.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#564474; Package mesa. (Sat, 09 Jan 2010 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Geeraerts <samgee@elmundolibre.be>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 09 Jan 2010 22:57:03 GMT) Full text and rfc822 format available.

Message #39 received at 564474@bugs.debian.org (full text, mbox):

From: Sam Geeraerts <samgee@elmundolibre.be>
To: 564474@bugs.debian.org
Subject: Re: Bug#564474: mesa: glut files have non-DFSG-free license
Date: Sat, 09 Jan 2010 23:53:15 +0100
Kilgard's "Yes, that's fine" reply for bug #131997 only applies to that 
package, not to all of his code with that same license notice. Both 
pointblast.c and spriteblast.c are not in that package, so they still 
fall under the original (unclarified) non-DFSG-free license. See the 
FSF's statement I quoted earlier.




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 29 Jun 2010 16:45:06 GMT) Full text and rfc822 format available.

Notification sent to Sam Geeraerts <samgee@elmundolibre.be>:
Bug acknowledged by developer. (Tue, 29 Jun 2010 16:45:06 GMT) Full text and rfc822 format available.

Message #44 received at 564474-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sam Geeraerts <samgee@elmundolibre.be>, 564474-done@bugs.debian.org
Subject: Re: Bug#564474: mesa: glut files have non-DFSG-free license
Date: Tue, 29 Jun 2010 17:41:53 +0100
[Message part 1 (text/plain, inline)]
On Sat, Jan  9, 2010 at 19:25:31 +0100, Sam Geeraerts wrote:

> /* This program is freely distributable without licensing fees  and is
>    provided without guarantee or warrantee expressed or  implied. This
>    program is -not- in the public domain. */
> 
> Since this doesn't explicitly give users the right to modify, it's not
> DFSG-free.
> 
We don't ship glut in mesa anymore, so closing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Jul 2010 07:40:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:25:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.